# Wiki.js

Ce dossier permet de déployer une instance de [Wiki.js](https://wiki.js.org/).

## Configuration

La configuration se fait via les variables d'environnement et le fichier de secrets, et ne concerne que la connexion à la base de données dans notre cas.
Le reste de la configuration (utilisateurs, permissions...) est géré dynamiquement depuis l'interface.

## Lancement

Copier `db.secrets.example` à `db.secrets` et remplacer les valeurs.
Lancer `docker-compose up -d && docker-compose logs -f` et vérifier qu'il n'y a pas d'erreurs.

## Mise à jour

Mettre à jour le tag dans le fichier Compose et relancer le service. Aucune autre action n'est nécessaire. Attention lors des mises à jour majeures de Postgres (*e.g.* 12 → 13), voir la documentation officielle.
